using System;

namespace Syntriax.Engine.Core.Abstract;

public interface IGameObject : IEntity, IAssignableTransform, IAssignableBehaviourController, INameable, IInitialize
{
    Action<IGameObject>? OnUpdated { get; set; }

    void Update();
}
